/******************************************************************************
 * referer_hash.h
 * 
 * Hashtable of referers... 
 * Author:
 * Stelios Sidiroglou-Douskos <stelios@cs.columbia.edu>
 * Department of Computer Science - Columbia University
 *
 * Copyright (c) 2003 by Columbia University, all rights reserved.
 * ***************************************************************************/

void referer_hash_init(void);
void referer_hash_destroy(void);
int referer_is_key_in_hash(char *referer);
unsigned int referer_get_number_in_hash(void);
void referer_remove_from_hash(char *referer);
void referer_create_referer(char *referer); 

