/******************************************************************************
 * cached_objects_hash.h
 *
 * Author:
 * Stelios Sidiroglou-Douskos <stelios@cs.columbia.edu>
 * Department of Computer Science - Columbia University
 *
 * Copyright (c) 2003 by Columbia University, all rights reserved.
 * ***************************************************************************/


#ifndef _CACHED_OBJECTS_HASH_H_
#define _CACHED_OBJECTS_HASH_H_

#include <glib.h>

void cached_objects_hash_init(void);
void cache_objects_hash_destroy(void);
//void cob_insert_report(report_t *report);
gpointer is_url_in_hash(char *url);
void cob_put_in_cache(char *path, char *url);
unsigned int cob_get_number_in_cache(void);
gpointer is_url_in_hash(char *url);
gpointer is_path_in_hash(char *path);
void cob_log_data();
void cob_create_from_log();

#endif /* _CACHED_OBJECTS_HASH_H_ */
