/*
 * parser.h
 */


#ifndef _PARSER_H
#define _PARSER_H

#include "main.h"

int hexit( char c );

void strdecode( char* to, char* from );

int get_request_from_socket(int fd, struct parsed_request * req);

char* get_request_line(char *request, 
				int request_length, 
				int *req);

char* get_method_str( int m );

char* remove_http(char *path);

void de_dotdot(char *file);

char* extract_query(char *query);

int is_request_url(char *request);

int is_request_control(char *request);
int is_request_query(char *request);

char * add_ip_and_port(char *local_url, char *new_path);
void create_ip_and_port(); 
char *remove_tilda(char *url);
inline char ends_with(char *str, char *substr);
char *remove_control(char *control);
void attach_index_to_url(struct parsed_request *req);
char *attach_port_to_referer(char *referer, char *referer_and_port);

#endif /* _PARSER_H */


