/*
 * header file for Proxy server
 */

#ifndef _PROXYSERVER_H
#define _PROXYSERVER_H

#include "main.h" /*data structure*/

#define BUF_SIZE 25600	/* Read buffer size */
#define STRING_SIZE 265


#define METHOD_GET 1
#define METHOD_HEAD 2
#define METHOD_POST 3

#define HEX_STRING "0123456789abcdef" /*to convert to hex */


/* Declarations */
int proxy_init(struct data_structures *data );

char * remove_http(char *path);

#endif /* _PROXYSERVER_H */


