/******************************************************************************
 *
 * swish_manager.h
 * 
 * A search engine manager. Responsible for creating and maintaining the index
 * of the cached web pages.
 * 
 * http://swish-e.org/
 * 
 * Author:
 * Stelios Sidiroglou-Douskos <stelios@cs.columbia.edu>
 * Department of Computer Science - Columbia University
 *
 * Copyright (c) 2003 by Columbia University, all rights reserved.
 * ***************************************************************************/
int get_swish_index_period(); 
void set_swish_index_period(int new_time);
void swish_manager_init(char *filename);

